Subject: Bug#612: [X2Go-Dev] Bug#612: x2goclient does not honor export from broker

From: Oleksandr Shneyder <[email-masked]>
Date: Mon, 13 Oct 2014 11:47:35 +0200

Hi, patch is OK.

regards,
Alex

Am 16.09.2014 16:17, schrieb Mike Gabriel:
> Control: severity -1 important
> 
> Hi Alex,
> 
> On  Di 16 Sep 2014 09:57:42 CEST, MIng Song wrote:
> 
>> Package: x2goclient
>> Version: 4.0.2.1
>> Severity: major
>>
>> Hi,
>>
>> it seems x2goclient does not load export (local folder sharing) from
>> broker. Direct connect with local session profile is ok.
>>
>> My x2gobroker_sessionprofiles.conf contains export directory and disable
>> printing, however, when using x2goclient with broker, it still forwards
>> spooling directory & does not mount exported directory.
>>
>> If i create a session profile in client workstation, and use x2goclient
>> directly, printing can be disabled and local directory can be forwarded.
>>
>> Look at the source code, file onmainwindow.cpp, method exportDefaultDirs
>> load X2goSettings directly without consult config.iniFile.
>>
>> I have attached here a patch that modifies exportDefaultDirs() to use
>> config.iniFile incase x2goclient using broker mode. The patch works with
>> x2goclient linux.
>>
>> I am not familiar with compiling x2goclient in Windows env, therefore
>> I am
>> unable to test with x2goclient in Windows.
>>
>> Any comments?
>>
>> Thank you very much for such a wonderful project.
>>
>> Regards,
>> msongd.
> 
> For me the patch attached to this bug looks fine. Can you confirm this?
> 
> Thanks,
> Mike
> 
> 

-- 
-----------------------------------------------------------
Oleksandr Shneyder        | Email: [email-masked]
phoca GmbH                | Tel. : 0911 - 14870374 0
Ludwig-Feuerbach-str. 18  | Fax. : 0911 - 14870374 9
D-90489 Nürnberg          | Mobil: 0163 - 49 64 461

Geschäftsführung:
Dipl.-Inf. Oleksandr Shneyder

Amtsgericht München | http://www.phoca-gmbh.de
HRB 196 658         | http://www.x2go.org
USt-IdNr.: DE281977973
-----------------------------------------------------------